# Check profile verification status

You can check the verification status of a profile using this API. This is a profile-specific API resource which should be accessed using an access token acquired for the profile.

We do not expose any finer details of customer verification.

Endpoint: POST /v3/profiles/{profileId}/verification-status/bank-transfer
Security: UserToken

## Security:

  - `UserToken` (unknown)
    http bearer JWT

## Path parameters:

  - `profileId` (integer, required)
    Profile ID.

## Query parameters:

  - `source_currencies` (string, required)
    Comma-separated list of ISO 4217 currency codes.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Response 200:

  - `200` (unknown)
    Verification status response.

## Response 200 fields (application/json):

  - `routes` (array)

  - `routes.source_currency` (string)
    ISO 4217 currency code.
    Example: GBP

  - `routes.maximum_entitled_amount` (number)
    Maximum entitled amount that can be transferred with the user's given verification state.
    Example: 100000

  - `routes.current_status` (string)
    Current verification status.
- `verified` — Profile is verified. `maximum_entitled_amount` can be ignored (note that some regional limits may still apply).
- `not_verified` with `maximum_entitled_amount: 0` — Profile is not verified. Any payments from the user will be delayed by verification.
- `not_verified` with `maximum_entitled_amount > 0` — Profile is not yet verified but the user can make payments up to a cumulative limit. Once reached, further payments may be delayed by additional verification requirements.
    Enum: "verified", "not_verified"

  - `request_id` (string)
    Request identifier.
    Example: e66da5f6-2456-403c-bfcb-908885ee1a61

## Response 200 headers (application/json):

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

## Response 429:

  - `429` (unknown)
    Rate limit exceeded. Retry after the number of seconds specified in the `Retry-After` header.

## Response 429 headers (application/json):

  - `Retry-After` (integer)
    Number of seconds to wait before retrying the request.
    Example: 5

  - `X-Rate-Limited-By` (string)
    Identifies the rate limiter that triggered the 429 response.
    Example: wise-public-api

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

